> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/iap.md).

# IAP

인앱결제 주문서 이동, 상품·주문 조회, 상품 지급 완료, 구독 상태 조회 기능을 제공해요.

> 참고: `completeProductGrant` / `getSubscriptionInfo`는 native 시그니처 그대로 `{ params: { orderId } }` 중첩을 유지해요.

### API 목록

| API                                                                                                                | 설명                    |
| ------------------------------------------------------------------------------------------------------------------ | --------------------- |
| [`IAP.createOneTimePurchaseOrder`](/documentation/sdk/domains-api/iap/iap.createonetimepurchaseorder.md)           | 단건 인앱결제 주문서 페이지로 이동해요 |
| [`IAP.createSubscriptionPurchaseOrder`](/documentation/sdk/domains-api/iap/iap.createsubscriptionpurchaseorder.md) | 구독 인앱결제 주문서 페이지로 이동해요 |
| [`IAP.getProductItemList`](/documentation/sdk/domains-api/iap/iap.getproductitemlist.md)                           | 구매 가능한 상품 목록을 가져와요    |
| [`IAP.getPendingOrders`](/documentation/sdk/domains-api/iap/iap.getpendingorders.md)                               | 대기 중인 주문 목록을 가져와요     |
| [`IAP.getCompletedOrRefundedOrders`](/documentation/sdk/domains-api/iap/iap.getcompletedorrefundedorders.md)       | 완료·환불된 주문 목록을 가져와요    |
| [`IAP.completeProductGrant`](/documentation/sdk/domains-api/iap/iap.completeproductgrant.md)                       | 상품 지급 완료를 앱에 알려요      |
| [`IAP.getSubscriptionInfo`](/documentation/sdk/domains-api/iap/iap.getsubscriptioninfo.md)                         | 구독 주문의 현재 상태 정보를 가져와요 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/iap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
